<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Assesment</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Assesment </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-user-astronaut"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <h3 class="mb-0">Data List</h3>
                    </div>

                    <div class="card-body">
                        <form method="get">
                            <div class="row">
                                <div class="col-md-12 text-center">
                                    <div class="form-group">
                                        <label>Tahun Akademik</label>
                                        <select name="tahunAkademik" id="" class="form-control">
                                            <option value=""></option>
                                            <option th:each="data : ${tahunAkademik}"
                                                    th:selected="(${data} == *{selectedTahun})"
                                                    th:text="${data.namaTahunAkademik}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                    </div>
                                    <div class="form-group">
                                        <button type="submit" class="btn btn-info"><i class="fa fa-search"></i> Cari</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>

                    <div class="table-responsive" th:if="${selectedTahun != null}">
                        <table class="table align-items-center table-flush">
                            <thead class="thead-light">
                            <tr>
                                <th scope="col">#</th>
                                <th scope="col">Ruangan</th>
                                <th scope="col">Hari</th>
                                <th scope="col">Waktu</th>
                                <th scope="col">Matakuliah</th>
                                <th scope="col">Kelas</th>
                                <th scope="col">Dosen</th>
                                <th scope="col"></th>
                                <th scope="col"></th>

                            </tr>
                            </thead>
                            <tbody>
                            <tr th:each="data,row : ${jadwal}">
                                <td th:text="${row.index + 1}"></td>
                                <td th:text="${data.jadwal.ruangan.namaRuangan}"></td>
                                <td th:text="${data.jadwal.hari.namaHari}"></td>
                                <td><span  th:text="${data.jadwal.jamMulai}"></span> -
                                    <span th:text="${data.jadwal.jamSelesai}"></span></td>
                                <td th:text="${data.jadwal.matakuliahKurikulum.matakuliah.namaMatakuliah}"></td>
                                <td th:text="${data.jadwal.kelas.namaKelas}"></td>
                                <td th:text="${data.dosen.karyawan.namaKaryawan}"></td>
                                <td><b th:text="${data.statusJadwalDosen}"></b></td>
                                <td>
                                    <button class="btn btn-primary btn-sm" data-toggle="modal" th:data-target="${'#modal-notification'+data.jadwal.id}"><i class="fas fa-eye"></i> Show</button>

                                    <div class="modal fade" th:id="${'modal-notification'+data.jadwal.id}" tabindex="-1" role="dialog" aria-labelledby="modal-form" aria-hidden="true">
                                        <div class="modal-dialog modal-dialog-centered modal-lg" role="document">
                                            <div class="modal-content">

                                                <div class="modal-body p-0">


                                                    <div class="card bg-secondary shadow border-0">

                                                        <div class="card-header bg-transparent pb-5">
                                                            <div class="text-muted text-center mt-2 mb-3"><small>Quiz</small></div>
                                                            <div class="btn-wrapper text-center">
                                                                <a th:href="@{/studiesActivity/assesment/upload/rps(jadwal = ${data.jadwal.id}) }" class="btn btn-neutral btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fa fa-book"></i></span>
                                                                    <span class="btn-inner--text">Upload RPS</span>
                                                                </a>
                                                            </div>
                                                        </div>
                                                        <div class="card-header bg-transparent pb-5">
                                                            <div class="text-muted text-center mt-2 mb-3"><small>Assesment</small></div>
                                                            <div class="btn-wrapper text-center">
                                                                <a th:href="@{/studiesActivity/assesment/weight (jadwal = ${data.jadwal.id})}" class="btn btn-primary btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fas fa-edit"></i></span>
                                                                    <span class="btn-inner--text">Pembobotan</span>
                                                                </a>
                                                                <a th:href="@{/studiesActivity/assesment/score (jadwal = ${data.jadwal.id})}" class="btn btn-primary btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fas fa-edit"></i></span>
                                                                    <span class="btn-inner--text">Penilaian</span>
                                                                </a>
                                                                <a th:href="@{/studiesActivity/assesment/uploadnilai (jadwal = ${data.jadwal.id})}" class="btn btn-primary btn-icon">
                                                                    <span class="btn-inner--icon"><i class="fas fa-edit"></i></span>
                                                                    <span class="btn-inner--text">Upload Nilai</span>
                                                                </a>
                                                            </div>
                                                        </div>
                                                        <div class="card-header bg-transparent pb-5">
                                                            <div class="text-muted text-center mt-2 mb-3"><small>Evaluation</small></div>
                                                            <div class="btn-wrapper text-center">
                                                                <a th:href="@{/studiesActivity/assesment/hasiledom (jadwal = ${data.jadwal.id})}" class="btn btn-primary"><i class="fas fa-cog"> Edom Dosen</i></a>
                                                            </div>
                                                        </div>

                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </td>
                            </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>
</html>